Page MenuHomeFreeBSD

lang/rust: update to 1.31.0
ClosedPublic

Authored by jbeich on Dec 4 2018, 4:19 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jbeich created this revision.Dec 4 2018, 4:19 AM
jbeich edited the test plan for this revision. (Show Details)Dec 4 2018, 6:41 AM
jbeich edited the test plan for this revision. (Show Details)Dec 4 2018, 1:15 PM
jbeich edited the test plan for this revision. (Show Details)Dec 4 2018, 1:16 PM
jbeich updated this revision to Diff 51577.
  • Add LibreSSL 2.8.2+ fix (per rP482420)
  • Require rust-1.31 via USES=cargo (for devel/racer)
  • My QA is finished

Anything else?

tobik accepted this revision as: rust.Dec 4 2018, 7:25 PM
tobik added a subscriber: tobik.

Thanks, Jan.

jbeich updated this revision to Diff 51629.Dec 5 2018, 9:29 PM
  • New RC distfile
  • Bump PORTREVISION in all consumers
tobik accepted this revision as: rust.Dec 6 2018, 6:25 AM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 6 2018, 5:11 PM
Closed by commit rP486770: lang/rust: update to 1.31.0 (authored by jbeich). · Explain Why
This revision was automatically updated to reflect the committed changes.